phy_write
Prev | Driver Support | Next

## Name

phy_write — Convenience function for writing a given PHY register

## Synopsis

`int phy_write (` | struct phy_device * | phydev,
| u16 | regnum,
| u16 | val`)`;

## Arguments

`phydev`

  the phy_device struct

`regnum`

  register number to write

`val`

  value to write to `regnum`

## NOTE

MUST NOT be called from interrupt context, because the bus read/write functions may wait for an interrupt to conclude the operation.

Prev | Up | Next
phy_read | Home | phy_sanitize_settings